<div fxLayout="row" fxLayoutAlign="center start">
  <div fxFlex.gt-lg="100" fxFlex.gt-sm="100" fxFlex="100">
    <mat-card class="mat-card-top notes-app">
      <mat-sidenav-container
        [ngClass]="{
          'side-panel-opened': sidePanelOpened,
          'side-panel-closed': !sidePanelOpened
        }"
        style="background-color: white"
      >
        <mat-sidenav
          #sprintsList
          [mode]="isOver() ? 'over' : 'side'"
          [opened]="!isOver()"
          (open)="sidePanelOpened = true"
          (close)="sidePanelOpened = false"
        >
          <mat-toolbar class="no-shadow">
            <div fxLayout="row " fxLayoutGap="1px" fxFlex="85">
              <a
                matTooltip="{{'Ajouter phase' | translate}}"
                class="add-phase"
                mat-icon-button
                (click)="openAddDialog(projectId)"
                *ngIf="hasPermission(addPhasessPermission)"
              >
                <mat-icon>library_add</mat-icon></a
              >
              <mat-form-field appearance="outline" class="search-button">
                <input
                  matInput
                  placeholder="{{'Rechercher Phase' | translate}}"
                  [(ngModel)]="searchText"
                />
                <mat-icon class="icon-size" matSuffix>search</mat-icon>
              </mat-form-field>
            </div>
          </mat-toolbar>
          <mat-nav-list>
            <ng-container>
              <mat-list-item
                *ngFor="let phase of phaseList | filter : searchText"
                class="notes-item"
                (click)="onSelect(phase)"
                [class.selected]="phase === selectedPhase"
              >
                <div class="note d-flex">
                  <div fxFlex="86">
                    <span class="note-color bg-{{ phase.color }}"></span>
                    <span class="note-title">{{ phase.title }}</span>
                    <small
                      class="note-time"
                      *ngIf="phase.startDate || phase.startDate"
                      >{{ phase.startDate | date }} -
                      {{ phase.endDate | date }}</small
                    >
                  </div>
                  <div class="row">
                    <span
                      *ngIf="
                        phase.title != backlog && phase.title != otherTasks && phase.status != completedStatus && hasPermission(editPhasesPermission)
                      "
                      mat-icon-button
                      matTooltip="{{'Modifier' | translate}} {{ phase.title }}"
                      (click)="openEditDialog(phase)"
                      ><mat-icon class="icons">edit</mat-icon>
                    </span>
                    <span
                      *ngIf="
                        phase.title != backlog && phase.title != otherTasks && phase.status === newStatus && hasPermission(deletePhasesPermission)
                      "
                      mat-icon-button
                      matTooltip="{{'Supprimer' | translate}} {{ phase.title }}"
                      (click)="openDeleteDialog(phase)"
                      class="warn"
                      ><mat-icon class="icons">delete_outline</mat-icon></span
                    >
                  </div>
                </div>
              </mat-list-item>
            </ng-container>
          </mat-nav-list>
        </mat-sidenav>
        <mat-toolbar class="no-shadow">
          <div fxLayout="row" fxFlex="100" fxLayoutAlign="space-between center">
            <div>
              <button
                (click)="sprintsList.toggle()"
                class="mr-1"
                mat-icon-button
              >
                <mat-icon>short_text</mat-icon>
              </button>
            </div>
            <h6 class="project-name">{{ projectName }}</h6>
            <span class="bg-dark" [ngClass]="getStatusClass(projectStatus)">
              {{ projectStatus }}</span
            >
            <div class="avatar-group" *ngIf="usersList">
              <div class="avatar" *ngFor="let user of usersList">
                <img
                  src="{{ user.image }}"
                  matTooltip="{{ user.firstName }} {{ user.lastName }} | {{
                    user.position
                  }}"
                  (click)="openProfileDialog(user)"
                />
              </div>
              <a
                mat-icon-button
                (click)="openAddUserProjectDialog(projectId)"
                class="m-r-10 cursor-pointer"
                class="hidden-avatars"
                matTooltip="{{'Ajouter des personnes' | translate}}"
                *ngIf="hasPermission(affectUsersProjectsPermission)"
                ><mat-icon>group_add</mat-icon>
              </a>
            </div>
          </div>
        </mat-toolbar>
        <mat-card-content class="chat-middle-box">
          <div class="note-content">
            <div class="m-3">
              <app-list-task [id]="selectedPhase.id"></app-list-task>
            </div>
          </div>
        </mat-card-content>
      </mat-sidenav-container>
    </mat-card>
  </div>
</div>
